name: death-and-taxes
version: 0.1.0.0
license: AGPL-3.0-or-later
author: "Fredrik Fossum"
copyright: "2020 Fredrik Fossum"

dependencies:
  - base >= 4.7 && < 5
  - aeson
  - containers
  - text
  - random-shuffle
  - random
  - MonadRandom
  - elm-bridge

library:
  source-dirs: src

executables:
  main-exe:
    main: Main.hs
    source-dirs: app
    ghc-options:
      - -threaded
      - -rtsopts
      - -with-rtsopts=-N
    dependencies:
      - death-and-taxes
      - servant
      - servant-server
      - warp
      - wai

tests:
  death-and-taxes-test:
    main: Spec.hs
    source-dirs: test
    ghc-options:
      - -threaded
      - -rtsopts
      - -with-rtsopts=-N
    dependencies:
      - death-and-taxes
      - hedgehog
      - bytestring
